IndexTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.indexdb.IndexTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.indexdb
Class IndexTools

    java.lang.Object
      org.biojava.bio.program.indexdb.IndexTools

    public class IndexTools

extends Object

`IndexTools` contains static utility methods for creating flatfile indices according to the OBDA standard.

Author:
  Keith James, Matthew Pocock

Method Summary
`static void` | `indexEmbl(String name, File location, File[] seqFiles, int alphabetIdentifier)` `indexEmbl` indexes DNA, RNA or protein EMBL format sequence files on ID as primary identifier and AC as secondary.
`static void` | `indexFasta(String name, File location, File[] seqFiles, int alphabetIdentifier)` `indexFasta` indexes DNA, RNA or protein Fasta format sequence files on primary identifier.
`static void` | `indexGenbank(String name, File location, File[] seqFiles, int alphabetIdentifier)` `indexGenbank` indexes DNA, RNA or protein Genbank format sequence files on LOCUS as primary identifier and ACCESSION as secondary.
`static void` | `indexSwissprot(String name, File location, File[] seqFiles)` `indexSwissprot` indexes Swissprot format protein sequence files on ID as primary identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### indexFasta

    public static void indexFasta(String name,
                                  File location,
                                  File[] seqFiles,
                                  int alphabetIdentifier)
                           throws FileNotFoundException,
                                  IOException,
                                  ParserException,
                                  BioException

  `indexFasta` indexes DNA, RNA or protein Fasta format sequence files on primary identifier.

  Parameters:
    `location` - a `File` directory which will contain the indices.
    `seqFiles` - a `File []` array of files to index.
    `alphabetIdentifier` - an `int` indicating the type of sequence to be indexed. May be one of `SeqIOConstants.DNA SeqIOConstants.RNA SeqIOConstants.AA`.
    `name` - a `String` arbitrary database name.
  Throws:
    `FileNotFoundException` - if an error occurs.
    `IOException` - if an error occurs.
    `ParserException` - if an error occurs.
    `BioException` - if an error occurs.

### indexEmbl

    public static void indexEmbl(String name,
                                 File location,
                                 File[] seqFiles,
                                 int alphabetIdentifier)
                          throws FileNotFoundException,
                                 IOException,
                                 ParserException,
                                 BioException

  `indexEmbl` indexes DNA, RNA or protein EMBL format sequence files on ID as primary identifier and AC as secondary.

  Parameters:
    `location` - a `File` directory which will contain the indices.
    `seqFiles` - a `File []` array of files to index.
    `alphabetIdentifier` - an `int` indicating the type of sequence to be indexed. May be one of `SeqIOConstants.DNA SeqIOConstants.RNA SeqIOConstants.AA`.
    `name` - a `String` arbitrary database name.
  Throws:
    `FileNotFoundException` - if an error occurs.
    `IOException` - if an error occurs.
    `ParserException` - if an error occurs.
    `BioException` - if an error occurs.

### indexGenbank

    public static void indexGenbank(String name,
                                    File location,
                                    File[] seqFiles,
                                    int alphabetIdentifier)
                             throws FileNotFoundException,
                                    IOException,
                                    ParserException,
                                    BioException

  `indexGenbank` indexes DNA, RNA or protein Genbank format sequence files on LOCUS as primary identifier and ACCESSION as secondary.

  Parameters:
    `location` - a `File` directory which will contain the indices.
    `seqFiles` - a `File []` array of files to index.
    `alphabetIdentifier` - an `int` indicating the type of sequence to be indexed. May be one of `SeqIOConstants.DNA SeqIOConstants.RNA SeqIOConstants.AA`.
    `name` - a `String` arbitrary database name.
  Throws:
    `FileNotFoundException` - if an error occurs.
    `IOException` - if an error occurs.
    `ParserException` - if an error occurs.
    `BioException` - if an error occurs.

### indexSwissprot

    public static void indexSwissprot(String name,
                                      File location,
                                      File[] seqFiles)
                               throws FileNotFoundException,
                                      IOException,
                                      ParserException,
                                      BioException

  `indexSwissprot` indexes Swissprot format protein sequence files on ID as primary identifier.

  Parameters:
    `location` - a `File` directory which will contain the indices.
    `seqFiles` - a `File []` array of files to index.
  Throws:
    `FileNotFoundException` - if an error occurs.
    `IOException` - if an error occurs.
    `ParserException` - if an error occurs.
    `BioException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD